Bug 491614 - (mingw32-libglademm24) Review Request: mingw32-libglademm24 - C++ wrapper for libglade
Review Request: mingw32-libglademm24 - C++ wrapper for libglade
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: mingw32-gtkmm24
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 07:01 EDT by Thomas Sailer
Modified: 2009-05-21 19:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.6.7-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-23 07:01:54 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-libglademm24.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libglademm24-2.6.7-3.fc11.src.rpm
Description:
MinGW Windows C++ wrapper for the glade library.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Kalev Lember 2009-03-24 13:15:16 EDT
This package needs mingw32-gtkmm24 and mingw32-libglade2, neither of which are currently in Fedora. Because of that I am not sure if it is possible to do an official review right now.
Comment 2 Richard W.M. Jones 2009-03-25 06:10:53 EDT
Please note that we have mingw32-gtkmm24 and mingw32-libglade2
packaged already here:
http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/gtkmm24
http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/libglade2
Please submit them as separate Review Requests for Fedora.
Comment 3 Mattias Ellert 2009-04-18 12:34:50 EDT
Building the package fails:

../../scripts/depcomp: line 571: exec: i686-pc-mingw32-g++: not found
make[2]: *** [generate_defs_libglade.o] Error 127

I suspect this is due to a missing BuildRequires on mingw32-gcc-c++.

Also, configure complains about the --enable-docs flag:

configure: WARNING: Unrecognized options: --enable-docs

./configure --help does not list this flag for this package.
Comment 5 Mattias Ellert 2009-04-19 13:22:31 EDT
Fedora review mingw32-libglademm24-2.6.7-4.fc11.src.rpm 2008-04-19

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* The stated license (LGPLv2+) is a Fedora approved license

* The stated license is the same as the one for the corresponding
  Fedora package

* The package contains the license file (COPYING)

* The spec file is written in legible English

* Sources matches upstream

f9ca5b67f6c551ea98790ab5f21c19d0  libglademm-2.6.7.tar.bz2
f9ca5b67f6c551ea98790ab5f21c19d0  SRPM/libglademm-2.6.7.tar.bz2

* According to guidelines the version should match the version of the
  corresponding Fedora package - which it does.

* Package builds in mock (Fedora 10)

! The package contains documentation already present in the native
  Fedora package

* BuildRequires look sane

! But is there a reason for having the "BuildArch: noarch" listed in
  the middle of the list of Thr BuildRequies?

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8
Comment 6 Thomas Sailer 2009-04-19 14:27:11 EDT
Thanks! Removed docs and reordered BR/BA

Spec URL: http://sailer.fedorapeople.org/mingw32-libglademm24.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libglademm24-2.6.7-5.fc11.src.rpm
Comment 7 Mattias Ellert 2009-04-20 03:17:00 EDT
Package approved.
Comment 8 Thomas Sailer 2009-04-20 05:03:41 EDT
Thanks!

New Package CVS Request
=======================
Package Name: mingw32-libglademm24
Short Description: MinGW Windows C++ wrapper for libglade
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-04-21 15:52:46 EDT
cvs done.
Comment 10 Fedora Update System 2009-05-21 06:46:38 EDT
mingw32-libglademm24-2.6.7-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libglademm24-2.6.7-6.fc11
Comment 11 Fedora Update System 2009-05-21 19:29:16 EDT
mingw32-libglademm24-2.6.7-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.